## org.eclipse.emf.ecore.provider
Class EcoreEditPlugin

    java.lang.Object
      org.eclipse.emf.common.EMFPlugin
          org.eclipse.emf.ecore.provider.EcoreEditPlugin

All Implemented Interfaces:
  Logger, ResourceLocator

    public final class EcoreEditPlugin

extends EMFPlugin

This is the central singleton for the Ecore edit plugin.

Nested Class Summary
`static class` `EcoreEditPlugin.Implementation` The actual implementation of the Eclipse Plugin

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper`

Field Summary
`static EcoreEditPlugin` `INSTANCE` Keep track of the singleton

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`baseURL, delegateResourceLocators, images, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Constructor Summary
`EcoreEditPlugin()` Create the instance

Method Summary
`static EcoreEditPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin
`ResourceLocator` `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`delegatedGetImage, delegatedGetString, doGetImage, getBaseURL, getImage, getPluginLogger, getString, getString, getString, getString, getSymbolicName, log, main, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final EcoreEditPlugin INSTANCE

  Keep track of the singleton.

Constructor Detail

### EcoreEditPlugin

    public EcoreEditPlugin()

  Create the instance.

Method Detail

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

  Returns the singleton instance of the Eclipse plugin.

  Specified by:
    `getPluginResourceLocator` in class `EMFPlugin`
  Returns:
    the singleton instance.

### getPlugin

    public static EcoreEditPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.